Skip to content

Export floor as PNG / SVG

POST /floor/{floorId}/2d-image

It is possible to fetch the floorplan as png or svg image with a high level of customization. Uses the layout's latest published revision unless filter says otherwise.

Request

Path Parameters

floorId
string<uuid>

Query Parameters

filter
string ;values: autosaved |published |all
Which revision of the layout to export: `published` (default), `autosaved`, or `all` for the newest of either

Body

format
string ;values: svg |png |jpg

fpeOptions
object

imageOptions
object

quality
integer
Quality of the PNG or JPEG encoding.

density
integer
The DPI of the vector image when the output is PNG or JPEG. Larger number will result in larger image size. Default: 72

Responses

200

OK

imageUrl
string

latLngBounds
array [array ]